cURL
curl --request POST \
--url https://api.comm.com/api/v1/conversion-pixels/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"sortModel": [
{
"sort": "asc",
"colId": "updated_datetime"
}
],
"filterModel": "{\"is_sent\":{\"filterType\":\"number\",\"type\":\"greaterThan\",\"filter\":5}}\n\nnote that it needs to be col_id: {FilterModel}, PHP doesn't support this kind of description.",
"rowGroupCols": [
{
"id": "campaign_id",
"displayName": "Campaign_Id",
"field": "campaign_id"
}
],
"selectCols": "[\"country_id\"]\nWill make a select query with only the columns in the array, if not provided default columns will be selected",
"groupKeys": "[\"campaign_uuid\"]\nNot the column type, it's a filter of the query",
"startRow": 1,
"endRow": 2,
"groupByAll": true
}
EOFimport requests
url = "https://api.comm.com/api/v1/conversion-pixels/reports"
payload = {
"sortModel": [
{
"sort": "asc",
"colId": "updated_datetime"
}
],
"filterModel": "{\"is_sent\":{\"filterType\":\"number\",\"type\":\"greaterThan\",\"filter\":5}}
note that it needs to be col_id: {FilterModel}, PHP doesn't support this kind of description.",
"rowGroupCols": [
{
"id": "campaign_id",
"displayName": "Campaign_Id",
"field": "campaign_id"
}
],
"selectCols": "[\"country_id\"]
Will make a select query with only the columns in the array, if not provided default columns will be selected",
"groupKeys": "[\"campaign_uuid\"]
Not the column type, it's a filter of the query",
"startRow": 1,
"endRow": 2,
"groupByAll": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sortModel: [{sort: 'asc', colId: 'updated_datetime'}],
filterModel: '{"is_sent":{"filterType":"number","type":"greaterThan","filter":5}}\n\nnote that it needs to be col_id: {FilterModel}, PHP doesn\'t support this kind of description.',
rowGroupCols: [{id: 'campaign_id', displayName: 'Campaign_Id', field: 'campaign_id'}],
selectCols: '["country_id"]\nWill make a select query with only the columns in the array, if not provided default columns will be selected',
groupKeys: '["campaign_uuid"]\nNot the column type, it\'s a filter of the query',
startRow: 1,
endRow: 2,
groupByAll: true
})
};
fetch('https://api.comm.com/api/v1/conversion-pixels/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"object_id": "<string>",
"event_type": "<string>",
"event_profit": "<string>",
"user_agent": "<string>",
"created_at": "<string>",
"object_type": "<string>",
"ip_address": "<string>",
"conversion_filter_id": "<string>",
"country_code": "<string>",
"team_id": "<string>",
"related_object_id": "<string>",
"is_bot": "<string>",
"bot_reason": "<string>"
}
],
"meta": {
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}ConversionPixel
Post v1conversion pixelsreports
POST
/
v1
/
conversion-pixels
/
reports
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
[
{
"sort": "asc",
"colId": "updated_datetime"
}
]
Show child attributes
Show child attributes
Example:
"{\"is_sent\":{\"filterType\":\"number\",\"type\":\"greaterThan\",\"filter\":5}}\n\nnote that it needs to be col_id: {FilterModel}, PHP doesn't support this kind of description."
Example:
[
{
"id": "campaign_id",
"displayName": "Campaign_Id",
"field": "campaign_id"
}
]
Example:
"[\"country_id\"]\nWill make a select query with only the columns in the array, if not provided default columns will be selected"
Show child attributes
Show child attributes
Example:
"[\"campaign_uuid\"]\nNot the column type, it's a filter of the query"
Required range:
x >= 0Required range:
x >= 1⌘I